\begin{figure}[htbp]
	\pgfplotsset{width=0.7\linewidth, height=5cm}
	\centering
	\begin{tikzpicture}

	\begin{loglogaxis}[
	legend pos = north west,
	]
	\addplot table[x={Threads}, y={Iso-KNL}, col sep={comma}] {figs/results/graficas/speedup-brightness-florencia.csv};
	\addlegendentry{Iso. KNL}

	\addplot table[x={Threads}, y={Aniso-KNL}, col sep={comma}] {figs/results/graficas/speedup-brightness-florencia.csv};
	\addlegendentry{Aniso. KNL}

	\addplot table[x={Threads}, y={Iso-i5}, col sep={comma}] {figs/results/graficas/speedup-brightness-florencia.csv};
	\addlegendentry{Iso. i5}

	\addplot table[x={Threads}, y={Aniso-i5}, col sep={comma}] {figs/results/graficas/speedup-brightness-florencia.csv};
	\addlegendentry{Aniso. i5}

	\addplot [color=black, no marks] coordinates {
		(1,1)
		(2,2)
		(4,4)
		(8,8)
		(16,16)
		(32,32)
		(68,68)
		(136,136)
		(272,272)
	};
	\addlegendentry{Ideal}
	\end{loglogaxis}

	\end{tikzpicture}
	\caption{\textit{Speedup} en el tratamiento de la imagen \texttt{florencia} mediante métodos de difusión del brillo.}
	\label{fig:speedup-comparativa-brightness-florencia}
\end{figure}
